Bug 1758656 - [Proxy]cluster external endpoints should be noProxy
Summary: [Proxy]cluster external endpoints should be noProxy
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Daneyon Hansen
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1757973
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-04 18:10 UTC by Daneyon Hansen
Modified: 2019-11-08 16:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1757973
Environment:
Last Closed: 2019-11-08 16:57:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 334 'None' closed Bug 1758656: Removes external api server from default noProxy 2020-01-31 22:39:54 UTC

Comment 2 W. Trevor King 2019-10-31 04:26:39 UTC
Hmm.  PR landed 8h ago [1], but the most recent 4.2 nightly is 12h old [2,3].  And, unsurprisingly given its age, that release does not include the network-operator change:

$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2019-10-30-152749 | grep network-operator
  cluster-network-operator                      https://github.com/openshift/cluster-network-operator                      1eed8132527076b9ffca3dc244001a39855f1545

Why did this get swept into ON_QA?  Moving back to MODIFIED.

[1]: https://github.com/openshift/cluster-network-operator/pull/334#event-2757589099
[2]: https://openshift-release.svc.ci.openshift.org/#4.2.0-0.nightly
[3]: https://openshift-release.svc.ci.openshift.org/releasestream/4.2.0-0.nightly/release/4.2.0-0.nightly-2019-10-30-152749

Comment 6 W. Trevor King 2019-11-08 03:18:43 UTC
Why did this get moved back to ASSIGNED?  Restoring api. was intentional, see [1] and bug 1766066.  Did you see something different you didn't like?

[1]: https://github.com/openshift/installer/pull/2640

Comment 10 Daneyon Hansen 2019-11-08 16:57:02 UTC
Eric Paris found in BZ https://bugzilla.redhat.com/show_bug.cgi?id=1762618 that at least some of our code, running on cluster, was accessing the external instead of internal api. For the time being, the api external url will be no proxied.


Note You need to log in before you can comment on or make changes to this bug.